(* ********************************************************* *)
(* *****                                               ***** *)
(* *****  FeynRules model file: simp                   ***** *)
(* *****  Author: K. Mawatari                          ***** *)
(* *****                                               ***** *)
(* ********************************************************* *)



(* ************************** *)
(* *****  Information   ***** *)
(* ************************** *)
M$ModelName = "sm_simp";
M$Information = { Authors->{"K. Mawatari"}, 
                  Emails->{"Kentarou Mawatari"}, 
                  Institutions->{"Vrije Universiteit Brussel"},
                  Date->"28.03.2014", 
                  Version->"1.1",
                  References->{"1109.6009"}
};

(* ************************** *)
(* *****  Change  log   ***** *)
(* ************************** *)

(* 2014.03.25 v1.0: release version. *)
(* 2014.03.28 v1.1: introduced phi-l-l intearction for dijet mass cut. *)


(* ************************** *)
(* *****   Parameters   ***** *)
(* ************************** *)  
M$Parameters = {
		
 		gchi == {
 		ParameterType -> External,
		Value -> 1.,
		InteractionOrder -> {QCD, 1}, 
		Description -> "DM-scalar couplings"},

 		gQ == {
 		ParameterType -> External,
		Value -> 1.,
		InteractionOrder -> {QCD, 1}, 
		Description -> "quark-scalar couplings"}
				
};

(* ************************** *)
(* *****     Fields     ***** *)
(* ************************** *)
M$ClassesDescription = {

F[5] == {
        ClassName -> chi,
     	SelfConjugate -> False,
	Mass -> {Mchi,1.},
        Width -> {Wchi,0.001},
	QuantumNumbers -> {Q -> 0},
	PropagatorLabel -> "chi",
	PropagatorType -> Straight,
	PropagatorArrow -> Forward,
        FullName -> "chi"
        },

S[5] == {
        ClassName -> phi,
        SelfConjugate -> True,
	Mass -> {Mphi,10^6},
        Width -> {Wphi,1.},
	PropagatorLabel -> "phi",
	PropagatorType -> D,
	PropagatorArrow -> None,
        FullName -> "Scalar DM Mediator" 
        }

};




(* ************************** *)
(* *****   Lagrangian   ***** *)
(* ************************** *)


Lag:= gchi chibar.chi phi + gchi mubar.mu phi -
      gQ (ubar.u + dbar.d + sbar.s + cbar.c) phi;   
